# Uses of Interface
org.apache.wiki.search.SearchProvider

Packages that use SearchProvider
Package
Description
org.apache.wiki.search
Provides the JSPWiki search functionality.

## Uses of SearchProvider in org.apache.wiki.search

Classes in org.apache.wiki.search that implement SearchProvider
Modifier and Type
Class
Description
`class`
`BasicSearchProvider`
Interface for the search providers that handle searching the Wiki
`class`
`LuceneSearchProvider`
Interface for the search providers that handle searching the Wiki
Methods in org.apache.wiki.search that return SearchProvider
Modifier and Type
Method
Description
`SearchProvider`
DefaultSearchManager.`getSearchEngine()`
Returns the SearchProvider used.
`SearchProvider`
SearchManager.`getSearchEngine()`
Returns the SearchProvider used.